You guys Rock!! take 2

I really didn't want to try and "force" any of the packages if I could help it.  The install guide listed here definitely helped out a LOT!

I started over fresh with it.  I did have some bugs, but it was related to something (some process or script) modifying my hostname from what it is supposed to be, to "-s" sometime during the processing of apache+mod_perl, -and- when running cpan stuff.  Bizarre, and I've not figured out yet -what- was doing it.  In short, I opened another terminal and kept monitoring the hostname and changed it back just before any script needed it to be correct.

The rest of this install guide was very good and much easier to read, more detailed, etc.  Thank you for pointing it out.  My book arrived today too, but I've not had to crack it, . . .

. . . and I -now- have a functioning slash site.

Thank you again.

On Mon, 2004-06-21 at 18:32, William Scott Lockwood III wrote:
Did you try forcing them? Also, read the Mr. Orange document on how to
install slash - we use it at LRSE hosting as our standard install
operating procedure. It can be found at:
http://www.misterorange.com/docs/INSTALL-Slash-For-Dummies.html

--
Regards,
Scott

---==== [ Asa Jay Laughton ] ===---
> I'm new to slash.
>
> I've been attempting an install for three days.  I have the book on
> order from Amazon and it should be here tomorrow (Tuesday June 22).
> I've tried looking on the internet for answers at Slash and Apache.  I'm
> kind of stuck.
>
> I've been trying to follow the install guide as close as possible:
>
> Verified:
> perl v5.8.0
> mysql v11.18 Distrib 3.23.55
> apache v1.3.31
> mod_perl 1.29
>
> Following INSTALL doc, I installed apache and mod-perl.  NOTE: I could
> -not- get this to work with version 2 of apache so I had to back up to
> version 1.  Will slash work with v2 of apache, and if so, how?
>
> No problem at this point, moving on to installing Perl modules.
>
> I learned enough about CPAN to get it working, and get install
> Bundle::Slash to start.  After a couple days of messing around with
> permissions to get everything happy, I get darn near everything to work
> except I end up with the following error:
>
> Bundle summary: The following items in bundle Bundle::Slash had
> installation problems:
>   Apache::Cookie Apache::Request
>
> Well, I'm impatient, so I try to start apache anyway. . .
> . . . and it won't start because it "Can't locate Apache/Cookie/pm"
>
> grrrr. :/
>
> Okay, so I try to cpan just the two failed modules, starting with
> Apache:: Cookie, and I get this:
>
> Syntax error on line 85 of
> /root/.cpan/build/libapreq-1.3/t/conf/httpd.conf:
> Invalid command 'SetHandler', perhaps mis-spelled or defined by a module
> not included in the server configuration
>
> So I've been trying to figure out what is up.  My assumptions are as
> follows:
> - SetHandler is part of a module that (for whatever reason) is not
> installed in Apache.
> - it's included in mod_info?? (dunno for sure)
> - I can build apache with mod_info, but I -can't- do the apache+mod_perl
> install with it.  I can't figure that part out.
>
> So I skip the apache+mod_perl part and just install apache with mod_info
> separately.  I then try to run cpan again to install Apache::Cookie, and
> it fails the same way.  Hmm, the apache configure told me info was
> included to the install, but maybe it's not the right module?
>
> I'm very confused, I don't know really, what to try next.  I would  be
> more than happy to listen to any and all rants asking me some really
> good questions to help me find out what I've either done -wrong- or need
> to still do.
>
> Thank you,
> Asa Jay
>
> PS, yes I -do- wish this was easier, but I'm not complaining as I've
> learned a -lot- so far.
> :)
>
>



This message was scanned for viruses!!